unit ListeChaineeDEntiers;

interface

type
   TListeChaineeDEntiers = ^TNoeudDEntiers;
   TNoeudDEntiers	 = record
			      entier	    : Integer;
			      listeSuivante : TListeChaineeDEntiers;
			   end;		    
			 
function listeVide() : TListeChaineeDEntiers;
function estVide(l : TListeChaineeDEntiers) : boolean;
procedure ajouter(var l : TListeChaineeDEntiers; e : Integer);
function obtenirEntier(l :  TListeChaineeDEntiers) : Integer;
function obtenirListeSuivante(l :  TListeChaineeDEntiers) : TListeChaineeDEntiers;
procedure fixerListeSuivante(var l : TListeChaineeDEntiers; ls :  TListeChaineeDEntiers);
procedure supprimerTete(var l :  TListeChaineeDEntiers);
procedure supprimer(var l :  TListeChaineeDEntiers);

implementation

function listeVide() : TListeChaineeDEntiers;
begin
   listeVide:=NIL;
end; { listeVide }

function estVide(l : TListeChaineeDEntiers) : boolean;
begin
   estVide:=l=NIL;
end; { estVide }

procedure ajouter(var l : TListeChaineeDEntiers; e : Integer);
var temp :  TListeChaineeDEntiers;
begin
   temp:=l;
   new(l);
   l^.entier:=e;
   l^.listeSuivante:=temp;
end; { ajouter }

function obtenirEntier(l :  TListeChaineeDEntiers) : Integer;
begin
   obtenirEntier:=l^.entier;
end; { obtenirEntier }

function obtenirListeSuivante(l :  TListeChaineeDEntiers) : TListeChaineeDEntiers;
begin
   obtenirListeSuivante:=l^.listeSuivante;
end; { obtenirListeSuivante }

procedure fixerListeSuivante(var l : TListeChaineeDEntiers; ls :  TListeChaineeDEntiers);
begin
   l^.listeSuivante:=ls;
end;

procedure supprimerTete(var l :  TListeChaineeDEntiers);
var temp : TListeChaineeDEntiers;
begin
   temp:=l;
   l:=obtenirListeSuivante(l);
   dispose(temp);
end; { supprimerTete }

procedure supprimer(var l :  TListeChaineeDEntiers);
var temp :  TListeChaineeDEntiers;
begin
   while not estVide(l) do
      supprimerTete(l);
end; { supprimer }

end.	 